import * as React from 'react';
import { IColumn } from './DetailsList.Props';
export interface IDetailsRowFieldsProps {
    item: any;
    itemIndex: number;
    columns: IColumn[];
}
export interface IDetailsRowFieldsState {
    cellContent: React.ReactNode[];
}
export declare class DetailsRowFields extends React.Component<IDetailsRowFieldsProps, IDetailsRowFieldsState> {
    constructor(props: IDetailsRowFieldsProps);
    shouldComponentUpdate(newProps: IDetailsRowFieldsProps): boolean;
    componentWillReceiveProps(newProps: IDetailsRowFieldsProps): void;
    render(): JSX.Element;
    private _getState(props);
}
